>From afc54ab97ea4535afabbb4324bdc339e31d24f9b Mon Sep 17 00:00:00 2001
From: Adrien Grand <jpountz@videolan.org>
Date: Wed, 25 Feb 2009 04:42:00 +0100
Subject: [PATCH] Avoid infinite loop when the telnet session is closed client-side.

---
 modules/control/telnet.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules/control/telnet.c b/modules/control/telnet.c
index 85ecaab..2977af8 100644
--- a/modules/control/telnet.c
+++ b/modules/control/telnet.c
@@ -379,7 +379,7 @@ static void Run( intf_thread_t *p_intf )
                     errno = EAGAIN;
                 }
 #endif
-                if (i_recv <= 0 && ( end || errno != EAGAIN ) )
+                if( i_recv == 0 || ( i_recv == -1 && ( end || errno != EAGAIN ) ) )
                     goto drop;
             }
         }
-- 
1.6.1.3

